Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyScriptEngineFactory

    java.lang.Object
      org.codehaus.groovy.jsr223.GroovyScriptEngineFactory

All Implemented Interfaces:
  ScriptEngineFactory

    public class GroovyScriptEngineFactory
    extends Object

A factory class conforming to JSR-223 which is used to instantiate Groovy `ScriptEngines` and also exposes metadata describing Groovy's engine class.

Authors:
  Adapted from original by Mike Grogan
  Adapted from original by A. Sundararajan
  Jim White
  Guillaume Laforge

Method Summary
`String` | `getEngineName()`
`String` | `getEngineVersion()` Note that the scripting.dev.java.net engine had this backwards.
`List` | `getExtensions()`
`String` | `getLanguageName()` This is also different than scripting.dev.java.net which used an initial lowercase.
`String` | `getLanguageVersion()`
`String` | `getMethodCallSyntax(String obj, String method, String args)`
`List` | `getMimeTypes()`
`List` | `getNames()`
`String` | `getOutputStatement(String toDisplay)`
`Object` | `getParameter(String key)`
`String` | `getProgram(String statements)`
`ScriptEngine` | `getScriptEngine()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getEngineName

    public String getEngineName()

### getEngineVersion

    public String getEngineVersion()

  Note that the scripting.dev.java.net engine had this backwards. The engine version refers to this engine implementation. Whereas language version refers to the groovy implementation (which is obtained from the runtime).

### getExtensions

    public List getExtensions()

### getLanguageName

    public String getLanguageName()

  This is also different than scripting.dev.java.net which used an initial lowercase. But these are proper names and should be capitalized.

### getLanguageVersion

    public String getLanguageVersion()

### getMethodCallSyntax

    public String getMethodCallSyntax(String obj, String method, String args)

### getMimeTypes

    public List getMimeTypes()

### getNames

    public List getNames()

### getOutputStatement

    public String getOutputStatement(String toDisplay)

### getParameter

    public Object getParameter(String key)

### getProgram

    public String getProgram(String statements)

### getScriptEngine

    public ScriptEngine getScriptEngine()

Copyright © 2003-2010 The Codehaus. All rights reserved.